import React from 'react';
import type { Metadata } from 'next';
import { unstable_setRequestLocale } from 'next-intl/server';
import { useTranslations } from 'next-intl';
import { GeneralTopSection } from '../../../components/Page';
import PaymentElementPage from "./@payment/page";

export const metadata: Metadata = {
    title: 'Bbuddy - Take the lead with BB',
    description: 'Bbuddy desc Take the lead with BB'
};

export default function BbClientPage({ params: { locale } }: { params: { locale: string } }) {
    unstable_setRequestLocale(locale);
    const t = useTranslations('BbClient');

    return (
        <>
            <GeneralTopSection
                title={t('header')}
                mainImage="banner-phone.png"
            />
            <div className="main-articles bb-client">
                <PaymentElementPage />
            </div>
        </>
    );
};
